Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.block
Class BlockSourceImpl

    java.lang.Object
      net.minecraft.block.BlockSourceImpl

All Implemented Interfaces:
  IBlockSource, ILocatableSource, ILocation, IPosition

    public class BlockSourceImpl

extends Object
implements IBlockSource

Constructor Summary
`BlockSourceImpl(World par1World, int par2, int par3, int par4)`

Method Summary
`TileEntity` | `func_82619_j()`
`int` | `func_82620_h()`
`World` | `getWorld()`
`double` | `getX()`
`int` | `getXInt()`
`double` | `getY()`
`int` | `getYInt()`
`double` | `getZ()`
`int` | `getZInt()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockSourceImpl

    public BlockSourceImpl(World par1World,
                           int par2,
                           int par3,
                           int par4)

Method Detail

### getWorld

    public World getWorld()

  Specified by:
    `getWorld` in interface `ILocation`

### getX

    public double getX()

  Specified by:
    `getX` in interface `IBlockSource`
  Specified by:
    `getX` in interface `IPosition`

### getY

    public double getY()

  Specified by:
    `getY` in interface `IBlockSource`
  Specified by:
    `getY` in interface `IPosition`

### getZ

    public double getZ()

  Specified by:
    `getZ` in interface `IBlockSource`
  Specified by:
    `getZ` in interface `IPosition`

### getXInt

    public int getXInt()

  Specified by:
    `getXInt` in interface `IBlockSource`

### getYInt

    public int getYInt()

  Specified by:
    `getYInt` in interface `IBlockSource`

### getZInt

    public int getZInt()

  Specified by:
    `getZInt` in interface `IBlockSource`

### func_82620_h

    public int func_82620_h()

  Specified by:
    `func_82620_h` in interface `IBlockSource`

### func_82619_j

    public TileEntity func_82619_j()

  Specified by:
    `func_82619_j` in interface `IBlockSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD